org.bdgenomics.adam.projections

# AlignmentRecordField

###
Related Doc: package projections

#### object AlignmentRecordField extends FieldEnumeration

Linear Supertypes
FieldEnumeration, Enumeration, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AlignmentRecordField
2. FieldEnumeration
3. Enumeration
4. Serializable
5. Serializable
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### class SchemaVal extends Val with FieldValue

   An enumerated field that is part of this schema.

   An enumerated field that is part of this schema.

   Definition Classes
     FieldEnumeration

2. #### class Val extends Value with Serializable

   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

3. #### abstract class Value extends Ordered[Value] with Serializable

   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

4. #### class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetLike[Value, ValueSet] with Serializable

   Definition Classes
     Enumeration

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def SchemaValue: SchemaVal

   Attributes
     protected
   Definition Classes
     FieldEnumeration

5. #### final def Value(i: Int, name: String): Value

   Attributes
     protected
   Definition Classes
     Enumeration

6. #### final def Value(name: String): Value

   Attributes
     protected
   Definition Classes
     Enumeration

7. #### final def Value(i: Int): Value

   Attributes
     protected
   Definition Classes
     Enumeration

8. #### final def Value: Value

   Attributes
     protected
   Definition Classes
     Enumeration

9. #### final def apply(x: Int): Value

   Definition Classes
     Enumeration

10. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

11. #### val attributes: SchemaVal

12. #### val basesTrimmedFromEnd: SchemaVal

13. #### val basesTrimmedFromStart: SchemaVal

14. #### val cigar: SchemaVal

15. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

16. #### val contigName: SchemaVal

17. #### val duplicateRead: SchemaVal

18. #### val end: SchemaVal

19. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

21. #### val failedVendorQualityChecks: SchemaVal

22. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

23. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

24. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

25. #### val inferredInsertSize: SchemaVal

26. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

27. #### val mapq: SchemaVal

28. #### val mateAlignmentStart: SchemaVal

29. #### val mateContigName: SchemaVal

30. #### val mateMapped: SchemaVal

31. #### val mateNegativeStrand: SchemaVal

32. #### final def maxId: Int

    Definition Classes
      Enumeration

33. #### val mismatchingPositions: SchemaVal

34. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

35. #### var nextId: Int

    Attributes
      protected
    Definition Classes
      Enumeration

36. #### var nextName: Iterator[String]

    Attributes
      protected
    Definition Classes
      Enumeration

37. #### final def notify(): Unit

    Definition Classes
      AnyRef

38. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

39. #### val oldCigar: SchemaVal

40. #### val oldPosition: SchemaVal

41. #### val origQual: SchemaVal

42. #### val primaryAlignment: SchemaVal

43. #### val properPair: SchemaVal

44. #### val qual: SchemaVal

45. #### val readInFragment: SchemaVal

46. #### val readMapped: SchemaVal

47. #### val readName: SchemaVal

48. #### val readNegativeStrand: SchemaVal

49. #### val readPaired: SchemaVal

50. #### def readResolve(): AnyRef

    Attributes
      protected
    Definition Classes
      Enumeration

51. #### val recordGroupName: SchemaVal

52. #### val recordGroupSample: SchemaVal

53. #### val recordSchema: Schema

    The schema that this enumeration represents.

    The schema that this enumeration represents.

    Definition Classes
      FieldEnumeration

54. #### val secondaryAlignment: SchemaVal

55. #### val sequence: SchemaVal

56. #### val start: SchemaVal

57. #### val supplementaryAlignment: SchemaVal

58. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

59. #### def toString(): String

    Definition Classes
      Enumeration → AnyRef → Any

60. #### def values: ValueSet

    Definition Classes
      Enumeration

61. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

62. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

63. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

64. #### final def withName(s: String): Value

    Definition Classes
      Enumeration

### Inherited from FieldEnumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped